#!/usr/bin/env python
#-*- coding:utf-8 -*-

import pygtk
pygtk.require("2.0")
import gtk
import gtk.glade

class Y901dialog():
    def __init__(self, parent, setting, datadir):
        try:
            self.widgets = gtk.glade.XML(datadir + "y901window.glade", "y901dialog")
        except:
            dlg = gtk.MessageDialog(None,  
                                gtk.DIALOG_MODAL,  
                                gtk.MESSAGE_QUESTION,  
                                gtk.BUTTONS_OK,  
                                "y901dialog.gladeが見つかりません")  
            r = dlg.run()  
            dlg.destroy()
            return
        self.w = self.widgets.get_widget("y901dialog")
        # 親ウインドウのセット（中央に出す為）
        self.w.set_transient_for(parent)
        # パラメータの辞書から設定の書き出し
        self["checkbutton_pos"].set_active(setting["position"])
        self["checkbutton_init_size_on"].set_active(setting["init_size_on"])
        self["entry_ext"].set_text(setting["exts"])
        self["spinbutton1"].set_value(setting["set_size"][0][0])
        self["spinbutton2"].set_value(setting["set_size"][0][1])
        self["spinbutton3"].set_value(setting["set_size"][1][0])
        self["spinbutton4"].set_value(setting["set_size"][1][1])
        self["spinbutton5"].set_value(setting["set_size"][2][0])
        self["spinbutton6"].set_value(setting["set_size"][2][1])
        self["combobox_size"].set_active(setting["init_size_val"])
        
    def run(self):
        return self.w.run()
        
    def destroy(self):
        self.w.destroy()
        
    def __getitem__(self, key):
        return self.widgets.get_widget(key)

if __name__ == "__main__":
    print "Y901x の設定ダイアログファイルである"
